Class Diff_VelocityVoltage_Open
Requires Phoenix Pro and CANivore; Differential control with velocity average target and voltage difference target.
public sealed class Diff_VelocityVoltage_Open : ControlRequest, ICloneable
- Inheritance
-
Diff_VelocityVoltage_Open
- Implements
- Inherited Members
Constructors
Diff_VelocityVoltage_Open(VelocityVoltage, VoltageOut)
Requires Phoenix Pro and CANivore; Differential control with velocity average target and voltage difference target.
Average VelocityVoltage request of the mechanism. Differential VoltageOut request of the mechanism.public Diff_VelocityVoltage_Open(VelocityVoltage AverageRequest, VoltageOut DifferentialRequest)
Parameters
AverageRequestVelocityVoltageDifferentialRequestVoltageOut
Fields
AverageRequest
Average VelocityVoltage request of the mechanism.
public VelocityVoltage AverageRequest
Field Value
DifferentialRequest
Differential VoltageOut request of the mechanism.
public VoltageOut DifferentialRequest
Field Value
UpdateFreqHz
The frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.
If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.public double UpdateFreqHz
Field Value
Properties
Name
Name of this control request.
public string Name { get; }
Property Value
Methods
Clone()
Creates a copy of this control request.
public Diff_VelocityVoltage_Open Clone()
Returns
GetControlInfo()
Gets information about this control request.
public Dictionary<string, string> GetControlInfo()
Returns
- Dictionary<string, string>
Dictionary of control parameter names and corresponding applied values
SendRequest(string, uint)
Sends this request out over CAN bus to the device for the device to apply.
public StatusCode SendRequest(string network, uint deviceHash)
Parameters
Returns
- StatusCode
Status of the send operation
ToString()
Provides the string representation of this object.
public override string ToString()
Returns
WithAverageRequest(VelocityVoltage)
Modifies this Control Request's AverageRequest parameter and returns itself for method-chaining and easier to use request API.
Average VelocityVoltage request of the mechanism.public Diff_VelocityVoltage_Open WithAverageRequest(VelocityVoltage newAverageRequest)
Parameters
newAverageRequestVelocityVoltageParameter to modify
Returns
- Diff_VelocityVoltage_Open
Itself
WithDifferentialRequest(VoltageOut)
Modifies this Control Request's DifferentialRequest parameter and returns itself for method-chaining and easier to use request API.
Differential VoltageOut request of the mechanism.public Diff_VelocityVoltage_Open WithDifferentialRequest(VoltageOut newDifferentialRequest)
Parameters
newDifferentialRequestVoltageOutParameter to modify
Returns
- Diff_VelocityVoltage_Open
Itself
WithUpdateFreqHz(double)
Sets the frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.
If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.public Diff_VelocityVoltage_Open WithUpdateFreqHz(double newUpdateFreqHz)
Parameters
newUpdateFreqHzdoubleParameter to modify
Returns
- Diff_VelocityVoltage_Open
Itself